[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TCardinalHelper.ToExtended

Convert to an extended-sized floating point value

## Declaration

Source position: syshelph.inc line 497

`public function TCardinalHelper.ToExtended: Extended;`

## Description

ToDouble converts the Cardinal value to an extended-sized floating point value.

## See also

TCardinalHelper.ToBoolean |  | Convert to a boolean value
TCardinalHelper.ToSingle |  | Convert to an single-sized floating point value
TCardinalHelper.ToDouble |  | Convert to a double-sized floating point value
TCardinalHelper.ToString |  | Convert the value to string
TCardinalHelper.ToHexString |  | Convert to a hexadecimal string representation